Bug 55411 - MD5.pm not included
Summary: MD5.pm not included
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl-Digest-MD5 (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-30 21:42 UTC by James Pattie
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-01 16:15:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Pattie 2001-10-30 21:42:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
The rpm does not include /usr/lib/perl5/site_perl/5.6.0/i386-linux/MD5.pm
which is required if you want to say use MD5; in a perl program.  
Version 2.12-10 (from rawhide) did include this.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.perl -e "use MD5"
2.
3.
	

Actual Results:  Can't locate MD5.pm in @INC (@INC contains:
/usr/lib/perl5/5.6.0/i386-linux /usr/lib/perl5/5.6.0
/usr/lib/perl5/site_perl/5.6.0/i386-linux /usr/lib/perl5/site_perl/5.6.0
/usr/lib/perl5/site_perl .) at -e line 1.
BEGIN failed--compilation aborted at -e line 1.

Additional info:

Comment 1 Michael Schwendt 2001-11-01 15:44:15 UTC
use Digest::MD5;

Install "perl-Digest-MD5-2.13-1.i386.rpm" from the first CD.




Comment 2 James Pattie 2001-11-01 16:15:50 UTC
I had the perl-Digest-MD5 rpm installed but Crypt-CBC 1.25 is using just MD5 and
hasn't been updated to use the new Digest::MD5 format.

Would it be possible to rebuild the perl-Digest-MD5 package with the MD5 module
available or make a standalone MD5 rpm?

Comment 3 Crutcher Dunnavant 2001-11-02 00:07:51 UTC
Nope.


Note You need to log in before you can comment on or make changes to this bug.